Read the store map
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/ \
--header 'Authorization: Bearer <token>'{
"store_map_axes": "<string>",
"store_map_axes_mode": "default",
"plan_text": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Artifacts
Read the store map
Read the store map: its axes (what the store is organized by) and the plan agents see (path tree with counts and folder descriptions, curator view). Requires view permission.
GET
/
projects
/
{project_id}
/
artifacts
/
store-map
/
Read the store map
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/store-map/ \
--header 'Authorization: Bearer <token>'{
"store_map_axes": "<string>",
"store_map_axes_mode": "default",
"plan_text": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer <token>. The token is either a user token / OAuth access
token, or a service-account API key (cfk_...). A key is valid on every endpoint and
acts as its service account, an organization member with per-store permissions.
Refused keys answer 403 with Invalid API key., API key revoked.,
API key expired. or API key disabled..
Response
Successful response